Loading...
Searching...
No Matches
comps_docgroup.h File Reference

COMPS_DocGroup header file. More...

`#include "comps_utils.h"`
`#include "comps_obj.h"`
`#include "comps_objdict.h"`
`#include "comps_objlist.h"`
`#include "comps_docpackage.h"`
`#include "comps_validate.h"`
`#include "comps_radix.h"`
`#include "comps_default.h"`
`#include <stddef.h>`
`#include <assert.h>`

Go to the source code of this file.

## Data Structures

struct | COMPS_DocGroup

## Functions

void | comps_docgroup_set_id (COMPS_DocGroup *group, char *id, char copy)
void | comps_docgroup_set_name (COMPS_DocGroup *group, char *name, char copy)
void | comps_docgroup_set_desc (COMPS_DocGroup *group, char *desc, char copy)
void | comps_docgroup_set_def (COMPS_DocGroup *group, int def, bool unset)
void | comps_docgroup_set_uservisible (COMPS_DocGroup *group, int uservisible, bool unset)
void | comps_docgroup_set_biarchonly (COMPS_DocGroup *group, int biarchonly, bool unset)
void | comps_docgroup_set_display_order (COMPS_DocGroup *group, int display_order, bool unset)
void | comps_docgroup_set_langonly (COMPS_DocGroup *group, char *langonly, char copy)
COMPS_Object * | comps_docgroup_get_id (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_name (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_desc (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_def (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_uservisible (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_biarchonly (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_display_order (COMPS_DocGroup *group)
COMPS_Object * | comps_docgroup_get_langonly (COMPS_DocGroup *group)
COMPS_ObjList * | comps_docgroup_packages (COMPS_DocGroup *obj)
void | comps_docgroup_set_packages (COMPS_DocGroup *obj, COMPS_ObjList *list)
void | comps_docgroup_add_package (COMPS_DocGroup *group, COMPS_DocGroupPackage *package)
COMPS_ObjList * | comps_docgroup_get_packages (COMPS_DocGroup *group, char *name, COMPS_PackageType type)
COMPS_DocGroup * | comps_docgroup_union (COMPS_DocGroup *g1, COMPS_DocGroup *g2)
COMPS_DocGroup * | comps_docgroup_intersect (COMPS_DocGroup *g1, COMPS_DocGroup *g2)

## Detailed Description

COMPS_DocGroup header file.

See also
  COMPS_DocGroup properties setters
  COMPS_DocGroup properties getters
  COMPS_DocGroup list setters
  COMPS_DocGroup list getters

COMPS_DocGroup object support union operation. Read more about Libcomps objects unioning

## Function Documentation

## comps_docgroup_add_package()

void comps_docgroup_add_package | ( | COMPS_DocGroup * | group,
|  | COMPS_DocGroupPackage * | package )

add package to packages list in group

Parameters

  cat | COMPS_DocGroup object
  package | COMPS_DocGroupPackage object

Warning
  COMPS_DocGroupPackage reference counter isn't incremented

## comps_docgroup_get_packages()

COMPS_ObjList * comps_docgroup_get_packages | ( | COMPS_DocGroup * | group,
|  | char * | name,
|  | COMPS_PackageType | type )

return list of packages matching name and type name or type could be NULL and then doens't affect search filter. Search doesn't support any asterisk or dot notation like in regular expression

Parameters

  group | COMPS_DocGroup object
  name | package name
  type | package type

Returns
  list of filtered packages

## comps_docgroup_intersect()

COMPS_DocGroup * comps_docgroup_intersect | ( | COMPS_DocGroup * | g1,
|  | COMPS_DocGroup * | g2 )

intersect two groups into one and return new COMPS_DocGroup object

Parameters

  c1 | COMPS_DocGroup object
  c2 | COMPS_DocGroup object

Returns
  new COMPS_DocGroup object

## comps_docgroup_union()

COMPS_DocGroup * comps_docgroup_union | ( | COMPS_DocGroup * | g1,
|  | COMPS_DocGroup * | g2 )

union two groups into one and return new COMPS_DocGroup object

Parameters

  g1 | COMPS_DocGroup object
  g2 | COMPS_DocGroup object

Returns
  new COMPS_DocGroup object